{
  "id": "162c982ca1748a3233acc5d7",
  "source": "http",
  "type": "go-function",
  "title": "http.func ListenAndServe ¶",
  "content": "# http.func ListenAndServe ¶\n\n```\nfunc ListenAndServe(addr string, handler Handler) error\n```\n\nListenAndServe listens on the TCP network address addr and then calls\nServe with handler to handle requests on incoming connections.\nAccepted connections are configured to enable TCP keep-alives.",
  "url": "https://pkg.go.dev/http#func ListenAndServe ¶",
  "metadata": {
    "examples": "null",
    "import_path": "Standard library/net/http",
    "kind": "function",
    "package": "http",
    "signature": "func ListenAndServe(addr string, handler Handler) error",
    "symbol": "func ListenAndServe ¶"
  },
  "hash": "7295a1607be23026a4fc58ec0e58acf215c4cc9dc4ed6d7925748767f7868547",
  "timestamp": "2026-02-19T12:17:17.237487799+01:00"
}